com.pixelmed.displaywave

## Class SourceECG

- java.lang.Object
- - com.pixelmed.displaywave.SourceECG

- Direct Known Subclasses:
    DicomSourceECG, RawSourceECG, SCPSourceECG

      public abstract class SourceECG
      extends java.lang.Object

  An abstract class that encapsulates the features and values from an ECG source, usually for the purpose of displaying it.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float[]` | `amplitudeScalingFactorInMilliVolts`
    `protected java.lang.String[]` | `channelNames`
    `protected int[]` | `displaySequence`
    `protected int` | `nSamplesPerChannel`
    `protected int` | `numberOfChannels`
    `protected short[][]` | `samples`
    `protected float` | `samplingIntervalInMilliSeconds`
    `protected java.lang.String` | `title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceECG()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.lang.String` | `buildInstanceTitle()`
    `protected void` | `buildPreferredDisplaySequence()` Use the default encoded order.
    `protected void` | `buildPreferredDisplaySequence(java.lang.String[] labels)` Using the lead descriptions, look for patterns and determine the desired sequential display order, defaulting to the encoded order if no recognized pattern.
    `protected static int` | `findLead(java.lang.String[] leadNames, java.lang.String leadName)` Find the named lead in an array of lead names.
    `float[]` | `getAmplitudeScalingFactorInMilliVolts()`
    `java.lang.String[]` | `getChannelNames()`
    `int[]` | `getDisplaySequence()`
    `int` | `getNumberOfChannels()`
    `int` | `getNumberOfSamplesPerChannel()`
    `short[][]` | `getSamples()`
    `float` | `getSamplingIntervalInMilliSeconds()`
    `java.lang.String` | `getTitle()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### samples

          protected short[][] samples

    - #### numberOfChannels

          protected int numberOfChannels

    - #### nSamplesPerChannel

          protected int nSamplesPerChannel

    - #### samplingIntervalInMilliSeconds

          protected float samplingIntervalInMilliSeconds

    - #### amplitudeScalingFactorInMilliVolts

          protected float[] amplitudeScalingFactorInMilliVolts

    - #### channelNames

          protected java.lang.String[] channelNames

    - #### displaySequence

          protected int[] displaySequence

    - #### title

          protected java.lang.String title

  - ### Constructor Detail

    - #### SourceECG

          public SourceECG()

  - ### Method Detail

    - #### buildPreferredDisplaySequence

          protected void buildPreferredDisplaySequence()

      Use the default encoded order.

    - #### findLead

          protected static int findLead(java.lang.String[] leadNames,
                                        java.lang.String leadName)

      Find the named lead in an array of lead names.

      Parameters:
        `leadNames` - an array of String names to designate leads (may be null, or contain null strings, in which case won't be found)
        `leadName` - the string name of the lead wanted (may be null, in which case won't be found)
      Returns:
        the index in leadNames of the requested lead if present, else -1

    - #### buildPreferredDisplaySequence

          protected void buildPreferredDisplaySequence(java.lang.String[] labels)

      Using the lead descriptions, look for patterns and determine the desired sequential display order, defaulting to the encoded order if no recognized pattern.

      Parameters:
        `labels` - the labels to use to match the preferred order (may or may not be `this.channelNames`)

    - #### buildInstanceTitle

          protected static java.lang.String buildInstanceTitle()

    - #### getSamples

          public short[][] getSamples()

    - #### getNumberOfChannels

          public int getNumberOfChannels()

    - #### getNumberOfSamplesPerChannel

          public int getNumberOfSamplesPerChannel()

    - #### getSamplingIntervalInMilliSeconds

          public float getSamplingIntervalInMilliSeconds()

    - #### getAmplitudeScalingFactorInMilliVolts

          public float[] getAmplitudeScalingFactorInMilliVolts()

    - #### getChannelNames

          public java.lang.String[] getChannelNames()

    - #### getTitle

          public java.lang.String getTitle()

    - #### getDisplaySequence

          public int[] getDisplaySequence()